const system = require("../../../system");
const Dao = require("../../dao.base");
class SettlebillDao extends Dao {
  constructor() {
    super(Dao.getModelName(SettlebillDao));
  }

  extraWhere(qobj, qw, qc) {//根据业务员id获取交付单信息的组装条件
    //qc.raw = true;
    //检查查询的用户所属公司是否是平台运营公司-1,如果是则不添加公司查询条件, 不添加路径条件,返回所有数据
    if (qobj.company_id == 1) {
      return qw
    } else {
      //需要添加公司查询条件
      qw["facilitator_id"] = Number(qobj.company_id)
    }
    return qw;
  }
}
module.exports = SettlebillDao;
